package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import ${basePackage}.frame.validation.Dict;

/**
 * TaskSqlFindRequest - SQL任务查询
 *
 * @author author
 * @version 0.0.1
 * @since 2020-05-24
 */
public class ScheduleFindRequest extends BaseFindRequest {

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 详细注释
     */
    private String taskNote;

    /**
     * 任务类型
     */
    @Dict(name = "TASK_TYPE")
    private String taskType;

    /**
     * 是否有效
     */
    private Boolean run;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return this.taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskNote() {
        return this.taskNote;
    }

    public void setTaskNote(String taskNote) {
        this.taskNote = taskNote;
    }

    public String getTaskType() {
        return this.taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public Boolean getRun() {
        return run;
    }

    public void setRun(Boolean run) {
        this.run = run;
    }
}
